Subject: Cygwin xterm and emacs-X11 broken in Windows 7
From: Zdzislaw Meglicki <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 26 Oct 2011 13:08:21 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

Windows 7 (Enterprise): On X11 startup with startxwin I am getting a message:

   startxwin: XFree86_VT property unexpectedly has 0 items instead of 1

The xterm window that pops up knows that it's "xterm" (the value of TERM 
variable), but it's not configured properly. Curses don't work. Command 
completion (in bash) doesn't work. "Less", "more", "vi" and "view" work like on 
an undefined terminal (vi and view don't even want to come up).

This may be a non-X11 issue (a curses/term problem), so I'm cross-posting to 
cygwin at cygwin dot com as well.

Perhaps related: in emacs-X11 entering the shell mode (M-x shell) kills the 
shell. I just get a prompt, then "exit" and a message 

   Process shell finished

This does *not* happen in emacs-nox, neither does this happen in xemacs.

I attach the output of cygcheck -s -r -v. 

Zdzislaw Meglicki
Indiana University

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple